MD_Parola.h File Reference

Main header file for the MD_Parola library. More...

`#include <Arduino.h>`
`#include <MD_MAX72xx.h>`
Include dependency graph for MD_Parola.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | MD_PZone
class | MD_Parola

## Macros

#define | ENA_MISC 1
| Enable miscellaneous animations.
#define | ENA_WIPE 1
| Enable wipe type animations.
#define | ENA_SCAN 1
| Enable scanning animations.
#define | ENA_SCR_DIA 1
| Enable diagonal scrolling animation.
#define | ENA_OPNCLS 1
| Enable open and close scan effects.
#define | ENA_GROW 1
| Enable grow effects.
#define | ENA_SPRITE 1
| Enable sprite effects.
#define | ENA_GRAPHICS 1
| Enable graphics functionality.
#define | ARRAY_SIZE(x) (sizeof(x)/sizeof(x[0]))
| Generic macro for obtaining number of elements of an array.
#define | MAX_ZONES 4
| Maximum number of zones allowed. Change to allow more or less zones but uses RAM even if not used.
#define | ZONE_START_COL(m) (m*COL_SIZE)
| The first column of the first zone module.
#define | ZONE_END_COL(m) (((m+1)*COL_SIZE)-1)
| The last column of the last zone module.

## Enumerations

enum | textPosition_t { PA_LEFT, PA_CENTER, PA_RIGHT }

enum

textEffect_t {
PA_NO_EFFECT, PA_PRINT, PA_SCROLL_UP, PA_SCROLL_DOWN,
PA_SCROLL_LEFT, PA_SCROLL_RIGHT, PA_SPRITE, PA_SLICE,
PA_MESH, PA_FADE, PA_DISSOLVE, PA_BLINDS,
PA_RANDOM, PA_WIPE, PA_WIPE_CURSOR, PA_SCAN_HORIZ,
PA_SCAN_HORIZX, PA_SCAN_VERT, PA_SCAN_VERTX, PA_OPENING,
PA_OPENING_CURSOR, PA_CLOSING, PA_CLOSING_CURSOR, PA_SCROLL_UP_LEFT,
PA_SCROLL_UP_RIGHT, PA_SCROLL_DOWN_LEFT, PA_SCROLL_DOWN_RIGHT, PA_GROW_UP,
PA_GROW_DOWN
}

enum | zoneEffect_t { PA_FLIP_UD, PA_FLIP_LR }

## Detailed Description

Main header file for the MD_Parola library.

## Enumeration Type Documentation

## textEffect_t

enum textEffect_t

Text effects enumerated type specification.

Used to define the effects to be used for the entry and exit of text in the display area.

Enumerator
PA_NO_EFFECT | Used as a place filler, executes no operation.
PA_PRINT | Text just appears (printed)
PA_SCROLL_UP | Text scrolls up through the display.
PA_SCROLL_DOWN | Text scrolls down through the display.
PA_SCROLL_LEFT | Text scrolls right to left on the display.
PA_SCROLL_RIGHT | Text scrolls left to right on the display.
PA_SPRITE | Text enters and exits using user defined sprite.
PA_SLICE | Text enters and exits a slice (column) at a time from the right.
PA_MESH | Text enters and exits in columns moving in alternate direction (U/D)
PA_FADE | Text enters and exits by fading from/to 0 and intensity setting.
PA_DISSOLVE | Text dissolves from one display to another.
PA_BLINDS | Text is replaced behind vertical blinds.
PA_RANDOM | Text enters and exits as random dots.
PA_WIPE | Text appears/disappears one column at a time, looks like it is wiped on and off.
PA_WIPE_CURSOR | WIPE with a light bar ahead of the change.
PA_SCAN_HORIZ | Scan the LED column one at a time then appears/disappear at end.
PA_SCAN_HORIZX | Scan a blank column through the text one column at a time then appears/disappear at end.
PA_SCAN_VERT | Scan the LED row one at a time then appears/disappear at end.
PA_SCAN_VERTX | Scan a blank row through the text one row at a time then appears/disappear at end.
PA_OPENING | Appear and disappear from the center of the display, towards the ends.
PA_OPENING_CURSOR | OPENING with light bars ahead of the change.
PA_CLOSING | Appear and disappear from the ends of the display, towards the middle.
PA_CLOSING_CURSOR | CLOSING with light bars ahead of the change.
PA_SCROLL_UP_LEFT | Text moves in/out in a diagonal path up and left (North East)
PA_SCROLL_UP_RIGHT | Text moves in/out in a diagonal path up and right (North West)
PA_SCROLL_DOWN_LEFT | Text moves in/out in a diagonal path down and left (South East)
PA_SCROLL_DOWN_RIGHT | Text moves in/out in a diagonal path down and right (North West)
PA_GROW_UP | Text grows from the bottom up and shrinks from the top down.
PA_GROW_DOWN | Text grows from the top down and and shrinks from the bottom up.

## textPosition_t

enum textPosition_t

Text alignment enumerated type specification.

Used to define the display text alignment and to specify direction for scrolling and animations. In the situation where LEFT AND RIGHT are the only sensible options (eg, text scrolling direction), CENTER will behave the same as LEFT.

Enumerator
PA_LEFT | The leftmost column for the first character will be on the left side of the display.
PA_CENTER | The text will be placed with equal number of blank display columns either side.
PA_RIGHT | The rightmost column of the last character will be on the right side of the display.

## zoneEffect_t

enum zoneEffect_t

Zone effect enumerated type specification.

Used to define the effects to be used for text in the zone.

The FLIP_UD and FLIP_LR effects are specifically designed to allow rectangular shaped display modules (like Parola or Generic types) to be placed in an inverted position to allow all matrices to be tightly packed into a 2 line display. One of the lines must be flipped horizontally and vertically to remain legible in this configuration.

Enumerator
PA_FLIP_UD | Flip the zone Up to Down (effectively upside down). Works with all textEffect_t values.
PA_FLIP_LR | Flip the zone Left to Right (effectively mirrored). Does not work with textEffect_t types SLICE, SCROLL_LEFT, SCROLL_RIGHT.